%define libgnomeui_version 2.0.1
%define gtk2_version 2.0.3
%define atk_version 1.0.2
%define at_spi_version 1.0.1
%define at_spi_release 2

Summary: Accessibility implementation for GTK+ and GNOME libraries
Name: libgail-gnome
Version: 1.0.2
Release: 3.1
URL: http://developer.gnome.org/projects/gap
Source0: %{name}-%{version}.tar.bz2
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root

Requires: atk >= %{atk_version}
Requires: gtk2 >= %{gtk2_version}
Requires: libgnomeui >= %{libgnomeui_version}
Requires: at-spi >= %{at_spi_version}

BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: atk-devel >= %{atk_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: at-spi-devel >= %{at_spi_version}-%{at_spi_release}

%description
GAIL implements the abstract interfaces found in ATK for GTK+ and GNOME libraries, 
enabling accessibility technologies such as at-spi to access those GUIs.
libgail-gnome contains the GNOME portions of GAIL.

%prep
%setup -q

%build

%configure

make ##%{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# remove unpackaged files from the buildroot
rm -rf $RPM_BUILD_ROOT%{_libdir}/pkgconfig

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README

%{_libdir}/gtk-2.0

%changelog
* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jul 30 2003 Havoc Pennington <hp@redhat.com> 1.0.2-2
- rebuild

* Wed Jul  9 2003 Havoc Pennington <hp@redhat.com> 1.0.2-1
- 1.0.2
- no longer need to fix location of gtk modules

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 11 2003 Havoc Pennington <hp@redhat.com> 1.0.0-6
- rebuild with new at-spi

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Dec 13 2002 Tim Powers <timp@redhat.com> 1.0.0-4
- remove unpackaged files from the buildroot

* Mon Jun 24 2002 Matt Wilson <msw@redhat.com>
- modules go in gtk-2.0/modules, not gtk-2.0

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 19 2002 Havoc Pennington <hp@redhat.com>
- initial package

